Subject: RE: [SIP] matching m= lines with multi-unicast SDP

From: "Culpepper, Bert" <[email-masked]>
Date: Wed, 14 Feb 2001 08:55:05 -0600

my interpretation is below...

Rohan Mahy [mailto:[email-masked]]
>
> Hi folks,
> 
> Let's say I send an INVITE to A with a multi-unicast SDP.  I 
> want A to send (the same) audio to 10.1.1.1 and 10.1.1.2, 
> and be prepared to receive audio from either (or both).
> 
> A -- 10.1.1.1
>  \
>   10.1.1.2
> 
> Here is part of my INVITE:
> 
> INVITE sip:A -> 
> ... 
> m=audio 16902 0 
> c=10.1.1.1 
> m=audio 19764 0 
> c=10.1.1.2
> 
> 
> Now according to the m= line matching rules, I need all the 
> lines to match.  So which of the following are valid responses? It 
> seems that none of them have the desired semantics.
> 
> Two m= lines, but use the same port  (is this allowed?)
> 
>         <- 200
>        ... 
> m=audio 17804 0 
> c=10.1.1.3 
> m=audio 17804 0 
> c=10.1.1.3
> 

A is indicating it wants to both media streams sent to the same 
address and port.  This seems fine to me and is the correct 
response IMHO to achieve what you want.

> 
> Two m= lines, one port set to zero (doesn't this mean "i won't 
> accept that stream"?)
> 
> <- 200 
> ... 
> m=audio 17804 0 
> c=10.1.1.3 
> m=audio 0 0 
> c=10.1.1.3
> 

A is saying it'll send and receive the first stream and neither 
send, nor receive the second.

> 
> Two m= lines, one address line set to zero (make 10.1.1.2 
> stop sending?)
> 
> <- 200 
> ... 
> m=audio 17804 0 
> c=10.1.1.3 
> m=audio 17804 0 
> c=0.0.0.0
> 

A is saying it'll send and receive the first stream but is placing 
the second stream on hold.  However, if the INVITE didn't come 
from 10.1.1.2 the endpoint receiving the response will have to 
pass on A's desire to 10.1.1.2 if A doesn't want to deal with 
two media streams.

> 
> Only one m= line (seems to violate principal of m= line matching)
> 
> <- 200 
> ... 
> m=audio 17804 0 
> c=10.1.1.3
> 

This is an incorrect response since the second m= line is 
missing.

regards,
Bert

> Comments are welcome.
> thanks,
> -rohan

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementer's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to [email-masked] with
"subscribe sip-implementors" in the body.